part of aliyun_player_fluttify;

class ErrorInfo {
  static Future<ErrorInfo> android(
      com_aliyun_player_bean_ErrorInfo error) async {
    final code = await error.getCode();
    return ErrorInfo()
      ..code = ErrorCode.values[code.index]
      ..message = await error.getMsg();
  }

  static Future<ErrorInfo> ios(
      AVPErrorModel error) async {
    final code = await error.get_code();
    return ErrorInfo()
      ..code = ErrorCode.values[code.index]
      ..message = await error.get_message();
  }

  ErrorCode code;
  String message;
}
